# Get contract

Retrieve a contract by its identifier

Endpoint: GET /v2/contracts/{contractId}

## Path parameters:

  - `contractId` (integer, required)
    The system identifier for the contract

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `id` (integer)
    The system identifier for the contract
    Example: 5348

  - `name` (string)
    The user defined name of the contract
    Example: My contract

  - `document` (object)
    The contract document

  - `document.id` (integer)
    The system identifier for the file
    Example: 9456

  - `document.name` (string)
    The user defined name of the file resource
For file resources with a type of file this includes the file extension
    Example: Standard NDA.docx

  - `document.version` (integer)
    The version of the file
    Example: 3

  - `type` (object)
    The type of the contract

  - `type.id` (integer)
    The system identifier for the contract type
    Example: 1234

  - `type.name` (string)
    The user defined name of the contract type
    Example: Contractor Agreement

  - `owner` (object)
    The user assigned as the owner of the contract

  - `owner.email` (string)
    The email address of the user
    Example: api.developer@lawvu.com

  - `owner.firstName` (string)
    The first name of the user
    Example: Api

  - `owner.id` (string)
    The unique identifier of the user
    Example: f0f1e06e-3005-4093-af7f-1934d55617e1

  - `owner.lastName` (string)
    The last name of the user
    Example: Developer

  - `owner.organization` (object)
    The organization the user belongs to

  - `owner.organization.id` (integer)
    The system identifier for the organization
    Example: 8134

  - `owner.organization.name` (string)
    The name of the organization
    Example: Api Development Organization

  - `owner.organizationId` (integer)
    The system identifier for the organization
    Example: 8134

  - `expiry` (string)
    The expiry date of the contract. The date and time uses the ISO-8601 format and will be in the Local timezone of the organization
    Example: 2024-12-25T00:00:00

  - `externalId` (string)
    A unique user defined identifier that can be used to reference another system
    Example: external-01

  - `fields` (object)
    The collection of fields associated with the contract
    Example: {"my_text_field":"my text value","my_decimal_field":78659.84,"my_boolean_field":true,"my_date_field":"2025-05-06","my_option_field":{"label":"Option 1","value":"option_1"},"my_multioption_field":[{"la…

  - `restricted` (boolean)
    Is the contract only available to members.

An indicator where the contract requires membership to access
    Example: false

  - `status` (string)
    The current status of the contract
    Enum: "Draft", "Negotiating", "Approval", "Signing", "Executed", "Expired", "Void"

  - `teamAssigned` (object)
    The team which this contract is assigned to

  - `teamAssigned.id` (integer)
    The system identifier for the team
    Example: 469

  - `teamAssigned.name` (string)
    The full name of the team
    Example: Legal - Commercial

  - `created` (object)
    The user who created the contract and when

  - `created.dateUtc` (string)
    The date and time the action was performed. The date and time uses the ISO-8601 format and will be in UTC
    Example: 2024-12-25T00:00:00Z

  - `created.user` (object)
    The user who performed the action

  - `created.userName` (string)
    The username of who performed the action
    Example: api.developer@lawvu.com

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/problem+json):

  - `detail` (string)
    More information about the problem.

  - `instance` (string)
    The URI of the resource which the error relates to.

  - `operationId` (string)
    A unique trace identifier for the request. This should be provided when requesting support.

  - `status` (integer)
    The HTTP status code for the problem.

  - `title` (string)
    A short description of the error.

  - `type` (string)
    A URI which can be followed to find out more about the problem.

